﻿using Microsoft.Extensions.Logging;
using Plugin.Maui.Audio;

namespace Linaris;

public static class MauiProgram
{
	public static MauiApp CreateMauiApp()
	{
		var builder = MauiApp.CreateBuilder();
		builder
			.UseMauiApp<App>()
			.ConfigureFonts(fonts =>
			{
				fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
				fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
			});
		builder.Services.AddSingleton(AudioManager.Current);
		builder.Services.AddTransient<MainPage>();

#if DEBUG
		builder.Services.AddLogging();
#endif

        return builder.Build();
	}
}